Package org.eclipse.net4j.util.io

# Class ZIPUtil.FileSystemUnzipHandler

java.lang.Object
org.eclipse.net4j.util.io.ZIPUtil.FileSystemUnzipHandler

All Implemented Interfaces:
  `ZIPUtil.UnzipHandler`

Enclosing class:
  ZIPUtil

public static class ZIPUtil.FileSystemUnzipHandler extends Object implements ZIPUtil.UnzipHandler

Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`FileSystemUnzipHandler(File targetFolder)`
`FileSystemUnzipHandler(File targetFolder, int bufferSize)`

## Method Summary

Modifier and Type
Method
Description
`File`
`getTargetFolder()`
`void`
`unzipDirectory(String name)`
`void`
`unzipFile(String name, InputStream zipStream)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FileSystemUnzipHandler

public FileSystemUnzipHandler(File targetFolder, int bufferSize)

### FileSystemUnzipHandler

public FileSystemUnzipHandler(File targetFolder)

Since:
  3.4

## Method Details

### getTargetFolder

public File getTargetFolder()

### unzipDirectory

public void unzipDirectory(String name)

Specified by:
  `unzipDirectory` in interface `ZIPUtil.UnzipHandler`

### unzipFile

public void unzipFile(String name, InputStream zipStream)

Specified by:
  `unzipFile` in interface `ZIPUtil.UnzipHandler`